curl --request POST \
--url https://api.paywint.com/api/platform/card/add-payee-card/{user_id} \
--header 'Content-Type: application/json' \
--header 'X-Platform-ID: <x-platform-id>' \
--header 'X-Signature: <x-signature>' \
--data '
{
"payee_id": "f47ac10b-****-****-****-0e02b2c3d479",
"card_nick_name": "Personal Visa Card",
"card_number": "0000",
"card_exp": "06/2030"
}
'import requests
url = "https://api.paywint.com/api/platform/card/add-payee-card/{user_id}"
payload = {
"payee_id": "f47ac10b-****-****-****-0e02b2c3d479",
"card_nick_name": "Personal Visa Card",
"card_number": "0000",
"card_exp": "06/2030"
}
headers = {
"X-Platform-ID": "<x-platform-id>",
"X-Signature": "<x-signature>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-Platform-ID': '<x-platform-id>',
'X-Signature': '<x-signature>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
payee_id: 'f47ac10b-****-****-****-0e02b2c3d479',
card_nick_name: 'Personal Visa Card',
card_number: '0000',
card_exp: '06/2030'
})
};
fetch('https://api.paywint.com/api/platform/card/add-payee-card/{user_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Operation completed.",
"data": {
"payee_id": "f47ac10b-****-****-****-0e02b2c3d479",
"card_id": "b62f010b-****-****-****-9e02b2c3d478",
"card_nick_name": "Personal Visa Card",
"card_number": "1111",
"card_exp": "06/2030"
},
"queryGeneratedTime": 1718006400
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Add Payee Card
- Add a new payment card to a specific payee for the user.
- Use this to save payee card details for future transactions.
Headers
Unique platform identifier (UUID). You receive this during onboarding. Must be sent with every API request.
HMAC-SHA256 request signature for authentication. Use your platform secret key to compute it as: METHOD + PATH + QUERY + BODY_HASH.
Path Parameters
Unique identifier (UUID) of the user
Body
Unique identifier (UUID) of the payee
"f47ac10b-****-****-****-0e02b2c3d479"
User-defined nickname to identify or label the card (e.g., 'Business Visa').
100"Personal Visa Card"
Card number of the payee.
16"0000"
Card expiration date in MM/YYYY format.
10"06/2030"
Response
Successful Response
Indicates whether the request was processed successfully.
true
A short, human-readable message describing the result of the request.
"Operation completed."
The main response payload, if applicable
Show child attributes
Show child attributes
The Unix timestamp (in seconds) indicating when the response was generated.
1718006400

